public static interface GridFsEndpointBuilderFactory.GridFsBuilders
| Modifier and Type | Method and Description |
|---|---|
default GridFsEndpointBuilderFactory.GridFsEndpointBuilder |
mongodbGridfs(String path)
MongoDB GridFS (camel-mongodb-gridfs)
Interact with MongoDB GridFS.
|
default GridFsEndpointBuilderFactory.GridFsEndpointBuilder |
mongodbGridfs(String componentName,
String path)
MongoDB GridFS (camel-mongodb-gridfs)
Interact with MongoDB GridFS.
|
default GridFsEndpointBuilderFactory.GridFsEndpointBuilder mongodbGridfs(String path)
mongodb-gridfs:connectionBean
Path parameter: connectionBean (required)
Name of com.mongodb.client.MongoClient to use.path - connectionBeandefault GridFsEndpointBuilderFactory.GridFsEndpointBuilder mongodbGridfs(String componentName, String path)
mongodb-gridfs:connectionBean
Path parameter: connectionBean (required)
Name of com.mongodb.client.MongoClient to use.componentName - to use a custom component name for the endpoint
instead of the default namepath - connectionBeanApache Camel